For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Shipping Provider
          • POSTRequest Shipping Rates
          • POSTValidate Connection Options
      • Tax Provider
      • Webhooks
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTIntegrationsShipping Provider

Validate Connection Options

POST
https://your_app.example.com/check_connection_options
POST
/check_connection_options
$curl -X POST https://your_app.example.com/check_connection_options \
> -H "Content-Type: application/json" \
> -d '{
> "connection_options": {}
>}'
200response
1{
2 "valid": true,
3 "messages": [
4 {
5 "text": "adipi",
6 "type": "WARNING"
7 },
8 {
9 "text": "nu",
10 "type": "WARNING"
11 },
12 {
13 "text": "an",
14 "type": "INFO"
15 }
16 ]
17}
Validate connection options. BigCommerce sends a request to the shipping provider URL to check a merchantʼs connection credentials. The shipping provider sends a response indicating whether a merchant has valid credentials. > #### Note > * Substitute the host and path specific to the shipping provider for `your_app.example.com` and `check_connection_options`. > * The Send a Test Request feature is not currently supported for this endpoint.
Was this page helpful?
Previous

Request Shipping Rates

Next

Tax Provider API

Built with

Validate connection options. BigCommerce sends a request to the shipping provider URL to check a merchantʼs connection credentials. The shipping provider sends a response indicating whether a merchant has valid credentials.

Note

  • Substitute the host and path specific to the shipping provider for your_app.example.com and check_connection_options.
  • The Send a Test Request feature is not currently supported for this endpoint.

Request

Check connection options request.
connection_optionsobjectRequired
Any global request options declared by the carrier and configured by the merchant to retrieve rates. Optional.

Response

Check connection options response.
validboolean
Indicates whether or not the connection options are valid.
messageslist of objects